doctype html
head
  meta(charset='UTF-8')
  meta(name='viewport' content='width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0')
  meta(http-equiv='X-UA-Compatible' content='ie=edge')
  link(rel='stylesheet' href='https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css' integrity='sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm' crossorigin='anonymous')
  title Oauth Test
body
  .col-4.mt-5
    button.btn.btn-primary.btn-block.mb-3(type='button' onclick="location.href = '/google';") Google
    button.btn.btn-primary.btn-block(type='button' onclick="location.href = '/facebook';") Facebook
    form(action='/magiclink' method='POST').mt-5
        input#input-email.form-control.block(type='email' name='email'  aria-describedby='emailHelp' placeholder='Enter email')
        button#link-btn.btn.btn-primary.btn-block.mt-3(type='submit') Link to email
  ul.mt-5
    li
      a(href='/good') Страница для авторизованных пользователей
    li
      a(href='/logout') Log out
  script(src='./script.js')
